# Interface methods for submodule: DemonsRegistrationFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PDEDeformableRegistrationFilterProxy as _PDEDeformableRegistrationFilterProxy


# Interface methods for class: DemonsRegistrationFilter
class DemonsRegistrationFilterProxy(_PDEDeformableRegistrationFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMetric(self) -> float:
		""""""
		...

	def SetUseMovingImageGradient(self, _arg: bool) -> None:
		""""""
		...

	def GetUseMovingImageGradient(self) -> bool:
		""""""
		...

	def UseMovingImageGradientOn(self) -> None:
		""""""
		...

	def UseMovingImageGradientOff(self) -> None:
		""""""
		...

	def SetIntensityDifferenceThreshold(self, arg0: float) -> None:
		""""""
		...

	def GetIntensityDifferenceThreshold(self) -> float:
		""""""
		...

